Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class XMLValidator.UniqueValueStore

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
            |
            +--weblogic.apache.xerces.validators.common.XMLValidator.UniqueValueStore

protected class XMLValidator.UniqueValueStore
extends XMLValidator.ValueStoreBase

Unique value store.

Author:
  Andy Clark, IBM

Fields inherited from class weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLValidator.UniqueValueStore(Unique unique)` Constructs a unique value store.

Method Summary
`protected void` | `duplicateValue(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)` Called when a duplicate value is added.

Methods inherited from class weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`addValue, append, contains, destroy, endDocument, endDocumentFragment, endValueScope, reportNilError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLValidator.UniqueValueStore

    public XMLValidator.UniqueValueStore(Unique unique)

  Constructs a unique value store.

Method Detail

### duplicateValue

    protected void duplicateValue(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)
                           throws java.lang.Exception

  Called when a duplicate value is added.

  Parameters:
    `tuple` - The duplicate value tuple.
  Overrides:
    duplicateValue in class XMLValidator.ValueStoreBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference